% at_InitializeSolver.m
% This script basically initializes the integrator. Gill's version of 4th
% order RK is used.
%
% Needs:         x: x0
%
% Defines:
%          a, b, c: Constants used for RKG method
%                q: A parameter for RKG method
%               dt: Time step of integration
%             Time: Time instances
%    iter, maxIter: Not currently used
%              Sol: Vector of vector of states
%      allVoltages: Vector of vector of bus voltages
%
% Part of the code written for GPFM strategy,
% submitted to IEEE Transactions on Smart Grid, July 2011.
%
% Copyright (c) 2012 by Ali Mehrizi-Sani
% Washington State University
% mehrizi@eecs.wsu.edu
% http://eecs.wsu.edu/~mehrizi
% (509) 335-6249


% RKG parameters
a = [1/2 1-sqrt(0.5) 1+sqrt(0.5) 1/6];
b = [2   1           1           2  ];
c = [1/2 1-sqrt(0.5) 1+sqrt(0.5) 1/2];
q = zeros(length(x), 1);

% Initialize solution vectors
Sol = x;
allVoltages = V_bus;

% Time step of integrator
dt = 0.01;
Time = 0:dt:5;

% Not currently used
maxIter = round(Time/dt);
iter = 0;